<template>
  <v-app-bar app color="secondary" dark>
    <router-link to="/">
      <v-img
        alt="Gavron Logo"
        class="shrink mt-1 hidden-sm-and-down"
        contain
        min-width="50"
        :src="require('../assets/gavron-navbar-logo.png')"
        width="70"
      />
    </router-link>
    <router-link to="/">
      <v-btn class="navbar-button" target="_blank" text> Gavron </v-btn>
    </router-link>

    <router-link to="/telemetry">
      <v-btn class="navbar-button" text> Telemetry </v-btn>
    </router-link>

    <router-link to="/planner">
      <v-btn class="navbar-button" text> Flight Planner </v-btn>
    </router-link>

    <v-spacer></v-spacer>

    <v-btn
      href="https://github.com/vuetifyjs/vuetify/releases/latest"
      target="_blank"
      text
    >
      <span class="mr-2">Latest Release</span>
      <v-icon>mdi-open-in-new</v-icon>
    </v-btn>
  </v-app-bar>
</template>

<script lang="ts">
import Vue from "vue";

export default Vue.extend({
  name: "NavBar",
});
</script>

<style scoped>
.navbar-button {
  color: var(--v-accent-base) !important;
}
</style>
